{% extends '../sub_base.html' %}
{% block title %}Reset your account | Makeup Market{% endblock  %}
{% block sub_base_content %}

    {% if request.user.is_authenticated %}
        <script>
            window.location.href = '{% url 'account:dashboard' %}';
        </script>
    {% endif %}
    
    <form class="account-form mx-auto" action="{% url 'account:pwdreset' %}" method="post" enctype='multipart/form-data'>
        
        <h3 class='mb-4'>Forgotten your password?</h3>
        <p>Enter your email address to obtain a new password.</p>
        {% if user_form.errors %}
            <div class="alert alert-primary" role="alert">
                Error: Please try again!
            </div>
        {% endif %}
        {% csrf_token %}
        <label class="small">{{form.email.label}}</label>
        {{form.email}}
    
        <button class="btn btn-primary btn-block py-2 mb-4 mt-5 fw-bold w-100" type="submit" value="Send email">Send e-mail</button>
        <p class="text-center"><a href="{% url 'account:login' %}">Login</a>
    </form>
                
{% endblock  %}